org.apache.ignite.internal.processors.hadoop

## Class HadoopJobId

- java.lang.Object
- - org.apache.ignite.internal.processors.hadoop.HadoopJobId

All Implemented Interfaces:
  Externalizable, Serializable, GridCacheInternal

    public class HadoopJobId
    extends Object
    implements GridCacheInternal, Externalizable

Job ID.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`HadoopJobId()` For `Externalizable`.
`HadoopJobId(UUID nodeId, int jobId)`

### Method Summary

Methods
`boolean` `equals(Object o)`
`UUID` `globalId()`
`int` `hashCode()`
`int` `localId()`
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HadoopJobId

    public HadoopJobId()

For `Externalizable`.

#### HadoopJobId

    public HadoopJobId(UUID nodeId,
               int jobId)

Parameters:
  `nodeId` - Node ID.
  `jobId` - Job ID.

### Method Detail

#### globalId

    public UUID globalId()

#### localId

    public int localId()

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016